/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:35
 * Description:备注表
 */
package com.emr.service;

import com.emr.entity.Emr_Staff_Remark;

import java.util.List;

public interface Emr_Staff_RemarkService {
    /**
     * 根据条件查询所有列表
     * @param record
     * @return
     */
    List<Emr_Staff_Remark> selectByCol(Emr_Staff_Remark record);

    /**
     * 根据条件修改信息
     *
     * @param record
     * @return
     */
    int updateByClo(Emr_Staff_Remark record);

    /**
     * 根据字段插入信息
     * @param record
     * @return
     */
    int insertClo(Emr_Staff_Remark record);

    /**
     * 根据id删除记录
     * @param id
     * @return
     */
    int delById(Integer id);

    /**
     * 根据id修改信息
     *
     * @param id
     * @return
     */
    Emr_Staff_Remark selectById(Integer id);

}
 

